import Vue from "vue";
import {
  Row,
  Col,
  menu,
  dropdown,
  Table,
  message,
  pagination,
  FormModel,
  Select,
  DatePicker,
  Input,
  InputNumber,
  Radio,
  upload,
  Button,
  notification,
  popconfirm,
  Modal,
  modal,
  Spin,
  Collapse,
  Tabs,
  Tooltip
} from "ant-design-vue";

export default () => {
  let els = [
    Row,
    Col,
    menu,
    dropdown,
    Table,
    message,
    pagination,
    FormModel,
    Select,
    DatePicker,
    Input,
    InputNumber,
    Radio,
    upload,
    Button,
    notification,
    popconfirm,
    Modal,
    modal,
    Spin,
    Collapse,
    Tabs,
    Tooltip
  ];
  // 注册
  els.forEach((item) => {
    Vue.use(item);
  });
  // 全局提示
  Vue.prototype.$msg = notification;
  Vue.prototype.$message = message;
  Vue.prototype.$modal = Modal;
};
